: [Client] - Game launcher needs to update aaand.
I have to reinstall, i've didn't have any help of Riot u.u
: [Client] - Game launcher needs to update aaand.
I don't want to reinstall the PBE, it's too laaame.
Rioter Comments
: [Client] Can't update

GalaxyKuroX

Level 37 (PBE)
Lifetime Upvotes
Create a Discussion